Unable to configure Kgpg kwalletmanager [Help]

by RViiRS   Last Updated July 13, 2019 02:02 AM

Just installed ubuntu 19.04 minimal with apt install plasma-desktop sddm kwin --no-install-recommends. All good. Installed Brave Browser as described here.

Now opening brave, it opened "KDE wallet Service" dialog box, with default selection "Use GPG encryption...". Searching internet I use sudo apt install kgpg kwalletmanager kwalletcli.

Then I Opened kgpg and created key along with a wallet "firstKWallet" in kwalletmanager.

Now opening brave, it shows "kwalletd GPG backend - KDE Wallet Service" dialog box with message: Error when attempting to decrypt the wallet firstKWallet using GPG. If you're using a SmartCard, please ensure it's inserted then try again. Error: Inappropriate ioctl for device. Following this guide edited ~/.gnupg/gpg.conf and created ~/.gnupg/gpg-agent.conf. Then system restart.

Now opening brave, it shows "kwalletd GPG backend - KDE Wallet Service" dialog box with message: Error when attempting to decrypt the wallet firstKWallet using GPG. If you're using a SmartCard, please ensure it's inserted then try again. GPG error was No data.

What I am missing? How to make it work? Honestly, I've no idea what I'm doing (though, I know what GPG is).

In "kGpg-Key Management" Right clicking the key and selecting refresh key from keyserver gives [GNUPG:] FAILURE refresh-keys

In KDE wallet manager, "The wallet is currently closed" is showing with a "Open..." button. upon clicking it goes back to "... GPG error was No data" dialog box



Related Questions





GPG encryption with and without public key

Updated May 28, 2017 11:02 AM

Can't decrypt files encrypted with GPG

Updated June 12, 2017 13:02 PM